#ifndef PERFORCE_CLIENT_H
#define PERFORCE_CLIENT_H

class OutputClient;

class PerforceClient
{
public:
	PerforceClient();
	~PerforceClient();

public:
	void showInfo();
	void showFileInfo();
	void addFile() { processFile("add"); }
	void editFile() { processFile("edit"); }
	void deleteFile() { processFile("delete"); }
	void revertFile() { processFile("revert"); }
	void syncFile() { processFile("sync"); }
	bool login();
	void logout();
	void callP4V(const char *cmd);

private:
	void except(const char *msg, Error * e);
	void processFile(const char * cmd);
	bool processCmd(OutputClient * cu, int argc, char* argv[], const char * cmd);

public:
	static bool displayMessage(LPWSTR title, const StrRef& buf, bool allowCancel = false);

private:
	ClientApi client;
    Enviro * enviro;
};

#endif
